'use strict';

var _values = require('babel-runtime/core-js/object/values');

var _values2 = _interopRequireDefault(_values);

var _ = require('.');

var _2 = _interopRequireDefault(_);

var _path = require('path');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var testRoot = (0, _path.join)(process.cwd(), 'test');
var resolve = function resolve(rel) {
  return (0, _path.resolve)(testRoot, rel);
};

describe('Skypager Document', function () {
  it('Has an ID', function () {
    var doc = new _2.default('file://' + resolve('./fixtures/testcases/structure-spec.md'), {
      base: testRoot + '/fixtures'
    });

    doc.should.have.property('id', 'testcases/structure-spec');
  });

  it('Has a parsed URI', function () {
    var doc = new _2.default('file://' + resolve('./fixtures/testcases/structure-spec.md'));
    doc.should.have.property('parsedURI').that.is.an('object');
    doc.parsedURI.protocol.should.equal('file:');
  });

  it('Has a URL', function () {
    var doc = new _2.default('file://' + resolve('./fixtures/testcases/structure-spec.md'));
    doc.url.should.match(/testcases\/structure-spec\.md$/);
  });

  it('Has options', function () {
    var doc = new _2.default('file://' + resolve('./fixtures/testcases/structure-spec.md'));
    doc.should.have.property('options').that.is.an('object');
  });
});

describe('Document Naming Variations', function () {
  it('should create pattern based on the stem', function () {
    var doc = new _2.default('file://' + resolve('./fixtures/components/HomePage/index.js'));

    (0, _values2.default)(doc.filenameVariations).should.include('home-page.js', 'homePage.js', 'HomePage.js');
  });

  it('should create pattern based on the stem using the index', function () {
    var doc = new _2.default('file://' + resolve('./fixtures/components/HomePage/index.js'));

    var variations = (0, _values2.default)(doc.indexVariations);
    variations.should.include('home-page/index.js', 'homePage.js', 'HomePage/index.js');
  });
});