'use strict';

var _ = require('.');

var _2 = _interopRequireDefault(_);

var _path = require('path');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Skypager Document Importer', function () {
  it('loads all of the files', function (done) {
    var importer = _2.default.create((0, _path.join)(process.cwd(), "test", 'fixtures'), ['**/*.md', '!node_modules/**']);

    importer.readFiles(false).then(function (files) {
      files.should.not.be.empty;
      done();
    }).catch(function (error) {
      return done(error);
    });
  });

  it('Can load files synchronously', function () {
    var importer = _2.default.create((0, _path.join)(process.cwd(), "test", 'fixtures', 'testcases'), { patterns: ['**/*.md', '!node_modules/**'] });

    var files = importer.readFilesSync();

    files.should.be.an('array');
    files.should.not.be.empty;
    files[0].should.be.an('object').that.has.property('path').that.is.not.empty;
  });
});